Jump to content

Recommended Posts

Andre    2
Kodi 17 - Lollipop requirement

With Kodi 17 out and the requirement for Lollipop 5 or higher, are there any plans to fast track the Lollipop upgrade for the ATV585?

Any other options?

Anything we can do to help, testing etc?

 

Thanks

Share this post


Link to post
Share on other sites
Justin    155
On 2/5/2017 at 10:46 AM, Andre said:

Kodi 17 - Lollipop requirement

With Kodi 17 out and the requirement for Lollipop 5 or higher, are there any plans to fast track the Lollipop upgrade for the ATV585?

Any other options?

Anything we can do to help, testing etc?

 

Thanks

We currently do not have Android 5.1 available for the 585.

We are looking at some options here to upgrade to 5.1, but we cannot guarantee anything right now.

Share this post


Link to post
Share on other sites
Justin    155

Tested a 5.1 Upgrade for the ATV 585/600
Needs some changes though, so waiting back on those.

Hopefully will be able to release it on here this week.

Share this post


Link to post
Share on other sites
DarrenC    0
On 6/12/2017 at 3:41 PM, Justin said:

Tested a 5.1 Upgrade for the ATV 585/600
Needs some changes though, so waiting back on those.

Hopefully will be able to release it on here this week.

This is great news thank you. 

Share this post


Link to post
Share on other sites

Hows the testing going.  I just bought the ATV585 off of a friend of mine.   Was looking for updates cause i'm used to the 17.3 Kodi.  Glad i found this topic before I went trying to flash it with custom firmware to bypass limitations.   If you need help in testing I am willing to help out with what I can.   Does anyone know if the next big update of Kodi will still be supporting the 5.1 Lollipop or if this will be another wait and pray situation?  I'm glad I only paid him 20 dollars for this box.  I had no idea how outdated it was.  But it still runs rather fast for being old.

 

Thanks and keep us updated please

Share this post


Link to post
Share on other sites
Justin    155
3 hours ago, InsaneJester said:

Hows the testing going.  I just bought the ATV585 off of a friend of mine.   Was looking for updates cause i'm used to the 17.3 Kodi.  Glad i found this topic before I went trying to flash it with custom firmware to bypass limitations.   If you need help in testing I am willing to help out with what I can.   Does anyone know if the next big update of Kodi will still be supporting the 5.1 Lollipop or if this will be another wait and pray situation?  I'm glad I only paid him 20 dollars for this box.  I had no idea how outdated it was.  But it still runs rather fast for being old.

 

Thanks and keep us updated please

I PM you a link

Please check

Share this post


Link to post
Share on other sites

I'll take the next couple of days to test run it.  I'll list what I notice so everyone knows.  If you haven't heard from me by Friday message me lmao.   Sometimes i just lose track of the week..  

Share this post


Link to post
Share on other sites
Justin    155
On 6/26/2017 at 8:36 PM, InsaneJester said:

I'll take the next couple of days to test run it.  I'll list what I notice so everyone knows.  If you haven't heard from me by Friday message me lmao.   Sometimes i just lose track of the week..  

Ok no problem

 

We will for your feedback

Share this post


Link to post
Share on other sites

 A few things to note about the update.  

1:)  Not surprising trying to update from within the Mygica dashboard didn't work.  But doing it from the upgrade button on the bottom of the system worked first try.  

2:)  After first getting into the new dashboard I loaded up Kodi 17.3.  It crashed 3 times before finally stabilizing.  Loaded up a few apps to test run from Ares Repo.   They loaded fine played fine except for one.  A video that I streamed in 4k crashed the system and continued to crash time after time didn't matter which video I picked.   However running from the video player off usb ran fine.  

3:)  The play store has worked as expected

I'll keep testing but so far its great.  

Share this post


Link to post
Share on other sites
Justin    155
On 6/28/2017 at 4:09 PM, InsaneJester said:

 A few things to note about the update.  

1:)  Not surprising trying to update from within the Mygica dashboard didn't work.  But doing it from the upgrade button on the bottom of the system worked first try.  

2:)  After first getting into the new dashboard I loaded up Kodi 17.3.  It crashed 3 times before finally stabilizing.  Loaded up a few apps to test run from Ares Repo.   They loaded fine played fine except for one.  A video that I streamed in 4k crashed the system and continued to crash time after time didn't matter which video I picked.   However running from the video player off usb ran fine.  

3:)  The play store has worked as expected

I'll keep testing but so far its great.  

1. MyGica Dashboard?

2. 585 doesn't play 4K, so that is probably why Kodi was crashing.

3. Good to hear.

Share this post


Link to post
Share on other sites

He is right that the 585 only supports a max of 1080p.  Why they install a 4k player who knows.   Even the new update comes with a 4k player.   

So can scratch that one off as an issue.  

1:)  Played a few video's off of Plex server it worked good only froze once and it was a short buffer.  Not sure if it was cause the file was being transcode or buffer from the 585.  

2:)  Played a few more file types all 1080p.   mkv, mp4 both with h264 and h265.  No problems running from flash drive.

3:)  Tested Exodus, AceStream, Bob, Maverick TV, YouTube, UK Turk, Netflix,  and Real Movies.  

4:)  Addon's loaded ok and ran.   I only played  3 video's from each for 15 min to test.  FF RW Stop and Pause and Played within all of them.  

                Real Movie gave me a few issues with buffering and one video locked up and required a reset to correct.  I have 120Mbs download so it wasn't my speed as a speed test at the time on two different servers gave me both 120 results.   It was more then likely the source website.  

5:)  When I tried to install Plex app from store it wouldn't load for some reason but once I downloaded the apk from the web it installed and worked fine.  I uninstalled it later and then tried to install from store again and this time it took first try.   

6:)  Took the box off of the network cable and went to WiFi.   2.4ghz channel it couldn't keep up with the 1080p videos streaming but the 720 or lower were fine again just a limitation of the box not the firmware.  

7:)  Last note to mention is to explain what I meant by installing the updated firmware by dashboard.   I meant I tried to install the firmware from within the MyGica system.   So I was running Kit Kat I allowed it to load then went to the system update and tried to flash it from the usb flash drive.  It locked up as if it was bricked and wouldn't go past the MyGica logo screen after it restarted.   To fix this I downloaded the Flash backup software off the MyGica support site.  Aka this site lol.  Once I flashed the Kit Kat back on I tried again and again it failed from within the Dashboard.   Again I re-flashed with Kit Kat and then this time put the new flash for lollipop onto the SD card formatted to Fat32.  I unplugged the power from the box and flipped it over and held the Upgrade button with a pin while plugging it back in.  This took me to the recovery screen where I then flashed it to the new lollipop update.  It took the first time.   It does stay on the MyGica screen for a while before finally starting to add the apps and finish setting up but not no 20 min when it was bricked before lol.  After it is updated and setup and you restart again.  It again holds on the MyGica screen for a min or so before loading all the way up.  When you add acestream apk to the box it extends the wait time to nearly 2 min because it now has to load before it finishes loading everything else.  

 

8:)  Overall from what I have tried everything is running great.  A few hiccups requiring a restart but nothing that really makes me want to go back to the Kit Kat version.  

Everything will always have bugs somewhere but to me this seems overall stable.  

 

 

  • Like 1

Share this post


Link to post
Share on other sites
alessa    0

thank you .

I installed it last night, and I find it really very heavy and slow!

I will try a wipe data since recovery and I let you know.

Share this post


Link to post
Share on other sites
22 hours ago, alessa said:

thank you .

I installed it last night, and I find it really very heavy and slow!

I will try a wipe data since recovery and I let you know.

Yeah I didn't have much time with the old software just a day after i bought it off my friend before i found and put the update on.  So for me it was always that slow but i did do a full data wipe on it so it was a fresh install.   Let us know how it turns out.   

Share this post


Link to post
Share on other sites

Should be able to root it.  I haven't tried myself yet.  Never really found the full benefits of rooting to be that great of a deal.

If you do get it done let us know.

Share this post


Link to post
Share on other sites
alessa    0

I will return to the old Rom, I find that it really lacks reactivity, I find it too heavy. 

I have flasher, start, come back to recovery and made a wipe data, but despite that, it's still as slow and heavy. 

Share this post


Link to post
Share on other sites
Hein    0

What version of Netflix Android TV app will work with this 5.1 beta update, so that the scrolling actually work? 

Share this post


Link to post
Share on other sites
Justin    155
23 hours ago, Hein said:

What version of Netflix Android TV app will work with this 5.1 beta update, so that the scrolling actually work? 

No versions of Netflix Android TV will work with this Beta 5.1

All Netflix Android TV versions require Widevine Level 1 DRM, which none of our older models have.

Share this post


Link to post
Share on other sites

So I've tried installing this update.  

I have the new 5.1 on a usb, following the instructions I found no app on the box that would recognize the update. 

I tried the root method.  It starts the process but errors with message 

E:footer is wrong

E:signature verification failed.  

Install aborted. 

 

Anybody know what I did wrong? 

Edited by Johnsonfamily
Add

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×